cURL
curl --request DELETE \
--url https://staging-api.capa.fi/api/partner/v2/receivers/{receiverId} \
--header 'Content-Type: application/json' \
--header 'partner-api-key: <api-key>' \
--data '
{
"userId": "550e8400-e29b-41d4-a716-446655440000"
}
'import requests
url = "https://staging-api.capa.fi/api/partner/v2/receivers/{receiverId}"
payload = { "userId": "550e8400-e29b-41d4-a716-446655440000" }
headers = {
"partner-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'partner-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '550e8400-e29b-41d4-a716-446655440000'})
};
fetch('https://staging-api.capa.fi/api/partner/v2/receivers/{receiverId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "string",
"disabled": true
}
}Receivers
Delete Receiver
DELETE
/
api
/
partner
/
v2
/
receivers
/
{receiverId}
cURL
Disables (soft-deletes) a receiver. The receiver will no longer be available for new transactions, but existing transactions are not affected.
Error Codes
Common Errors
| HTTP Status | Code | Message |
|---|---|---|
| 401 | UNAUTHORIZED | ”API Key is missing” |
| 401 | UNAUTHORIZED | ”Invalid API Key format” |
| 401 | UNAUTHORIZED | ”Invalid API Key” |
| 403 | INVALID_PARTNER_FLOW | ”The partner has an invalid flow.” |
User Ownership Errors
| HTTP Status | Code | Message |
|---|---|---|
| 401 | UNAUTHORIZED | ”Partner information is required for this operation” |
| 401 | UNAUTHORIZED | ”User is not associated with the partner” |
Endpoint-Specific Errors
| HTTP Status | Code | Message |
|---|---|---|
| 403 | RECEIVER_ACCESS_FORBIDDEN | ”You do not have permission to delete this receiver.” |
| 500 | RECEIVER_DELETION_FAILED | ”Failed to delete receiver. Please try again later.” |
Authorizations
API key for the affiliated partner performing the request.
Path Parameters
Receiver ID
Query Parameters
User ID who owns this receiver (for authorization)
Example:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json
User ID who owns this receiver (for authorization)
Example:
"550e8400-e29b-41d4-a716-446655440000"
⌘I